<?php
/*
Plugin Name: Tell A Friend: Share/Bookmark/Email/Social Bookmarking Button
Plugin URI: http://www.iwasinturkey.com/turkey-travel-tips
Description: Adds a tell a friend, Share/Bookmark/Email/Social Bookmarking button.
Author: Onur Kocatas
Version: 1.7.1
Author URI: http://www.iwasinturkey.com
*/

/* Add our function to the widgets_init hook. */
add_action( 'widgets_init', 'free_tell_a_friend_load_widgets' );

/* Function that registers our widget. */
function free_tell_a_friend_load_widgets() {
	register_widget( 'Free_Tell_A_Friend_Widget' );
}


class Free_Tell_A_Friend_Widget extends WP_Widget {
function Free_Tell_A_Friend_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'Free_Tell_A_Friend', 'description' => 'Adds a tell a friend, Share/Bookmark/Email/Social Bookmarking button.' );

		/* Widget control settings. */
		$control_ops = array( 'width' => 500,  'id_base' => 'free-tell-a-friend-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'free-tell-a-friend-widget', 'Free Tell A Friend', $widget_ops, $control_ops );
	}
	
	
	function widget( $args, $instance ) {
		extract( $args );

		/* User-selected settings. */
$title = apply_filters('widget_title', $instance['title'] );
$ftaf_type = $instance['ftaf_type'];
$ftaf_text = $instance['ftaf_text'];
$ftaf_image = $instance['ftaf_image'];
$ftaf_option = $instance['ftaf_option'];
$ftaf_ownimage = $instance['ftaf_ownimage'];
$ftaf_userid = $instance['ftaf_userid'];
$blogURL = get_bloginfo('url');

		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Title of widget (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
/*start page options*/
if($ftaf_option ==0){
				$OPTION ='';
				}
if($ftaf_option ==1){
				$OPTION ='option=manual&';
				}
if($ftaf_option ==2){
				$OPTION ='option=social&';
				}
if($ftaf_option==3){
				$OPTION ='option=favorites&';
				}
				

				
/*choose the image*/
if($ftaf_image==0){
				$IMAGE ='http://serv1.freetellafriend.com/button.gif';
				}
if($ftaf_image==1){
				$IMAGE ='http://serv1.freetellafriend.com/button_black.gi';
				}
if($ftaf_image==2){
				$IMAGE ='http://serv1.freetellafriend.com/button_2.gif';
				}
if($ftaf_image==3){
				$IMAGE ='http://serv1.freetellafriend.com/button_black2.gif';
				}				
if($ftaf_image==4){
				$IMAGE ='http://serv1.freetellafriend.com/button_3.gif';
				}				
if($ftaf_image==5){
				$IMAGE ='http://serv1.freetellafriend.com/button_black3.gif';
				}				
if($ftaf_image==6){
				$IMAGE ='http://serv1.freetellafriend.com/button_share.gif';
				}
if($ftaf_image==7){
				$IMAGE ='http://serv1.freetellafriend.com/button_share2.gif';
				}
if($ftaf_image==8){
				$IMAGE =''.$blogURL.'/wp-content/plugins/free-tell-a-friend/share.gif';
				}
if($ftaf_image==9){
				$IMAGE =$ftaf_ownimage;
				}
				
/*link? text or image?*/
if ($ftaf_type == 0){
			$OUTPUT = $ftaf_text;
			}
if ($ftaf_type == 1){
			$OUTPUT = '<img alt="Tell a Friend" src="'.$IMAGE.'" border="0" />';
			}

/*check if there is an user ID*/
if (empty($ftaf_userid)) {
$USERID1 = '';
$USERID2 = '';
} else {
$USERID1 = '?u='.$ftaf_userid.'';
$USERID2 = 'u='.$ftaf_userid.'&';
}

/*juice up*/
echo '<a href="http://www.freetellafriend.com/tell/'.$USERID1.'" onclick="window.open(\'http://www.freetellafriend.com/tell/?'.$USERID2.''.$OPTION.'title=\'+encodeURIComponent(document.title)+\'&url=\'+encodeURIComponent(document.location.href), \'freetellafriend\', \'scrollbars=1,menubar=0,width=617,height=530,resizable=1,toolbar=0,location=0,status=0,screenX=210,screenY=100,left=210,top=100\'); return false;" title="Tell a Friend" target="_blank" >'.$OUTPUT.'</a> ';
		/* After widget (defined by themes). */
		echo $after_widget;
	}
	
	
		function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		/* Strip tags (if needed) and update the widget settings. */
$instance['title'] = strip_tags( $new_instance['title'] );
$instance['ftaf_type'] = strip_tags( $new_instance['ftaf_type'] );
$instance['ftaf_text'] = strip_tags( $new_instance['ftaf_text'] );
$instance['ftaf_image'] = strip_tags( $new_instance['ftaf_image'] );
$instance['ftaf_option'] = strip_tags( $new_instance['ftaf_option'] );
$instance['ftaf_ownimage'] = strip_tags( $new_instance['ftaf_ownimage'] );
$instance['ftaf_userid'] = strip_tags( $new_instance['ftaf_userid'] );
		return $instance;
	}
	
	function form( $instance ) {

		/* Set up some default widget settings. */
		$defaults = array( 'title' => 'Free Tell A Friend', 'ftaf_type' => '1', 'ftaf_text' => '', 'ftaf_image' => '8','ftaf_option'=>'2','ftaf_ownimage'=>'','ftaf_userid'=>'' );
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

<p><strong>Title:</strong>
<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
</p>
<p><strong>What to display? Text or image button?</strong>
			<select name="<?php echo $this->get_field_name( 'ftaf_type' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_type' ); ?>" class="widefat">
				<option value="0" <?php if ($instance ['ftaf_type'] == '0') echo 'selected'; ?>>Text</option>
				<option value="1" <?php if ($instance ['ftaf_type'] == '1') echo 'selected'; ?>>Image Button</option>
			</select>
</p>
<p><strong>Fill the text box below if you want to use text.</strong><input id="<?php echo $this->get_field_id( 'ftaf_text' ); ?>" name="<?php echo $this->get_field_name( 'ftaf_text' ); ?>" value="<?php echo $instance['ftaf_text']; ?>" style="width:100%;" />
</p>
<p><strong>Choose one of the images below if you want to use image button.</strong><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>"  value="0" <?php if ($instance ['ftaf_image'] == '0') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="1" <?php if ($instance ['ftaf_image'] == '1') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_black.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="2" <?php if ($instance ['ftaf_image'] == '2') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_2.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="3" <?php if ($instance ['ftaf_image'] == '3') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_black2.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="4" <?php if ($instance ['ftaf_image'] == '4') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_3.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="5" <?php if ($instance ['ftaf_image'] == '5') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_black3.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="6" <?php if ($instance ['ftaf_image'] == '6') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_share.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="7" <?php if ($instance ['ftaf_image'] == '7') echo 'CHECKED'; ?>><img src="http://serv1.freetellafriend.com/button_share2.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="8" <?php if ($instance ['ftaf_image'] == '8') echo 'CHECKED'; ?>><img src="<?php bloginfo('url'); ?>/wp-content/plugins/free-tell-a-friend/share.gif"><br><br>
<input type="radio" name="<?php echo $this->get_field_name( 'ftaf_image' ); ?>" id="<?php echo $this->get_field_id( 'ftaf_image' ); ?>" value="9" <?php if ($instance ['ftaf_image'] == '9') echo 'CHECKED'; ?>>Use your own image</p>
<p><strong>Enter the URL of your own image if you want to use something different than above.</strong>
<input id="<?php echo $this->get_field_id( 'ftaf_ownimage' ); ?>" name="<?php echo $this->get_field_name( 'ftaf_ownimage' ); ?>" value="<?php echo $instance['ftaf_ownimage']; ?>" style="width:100%;" /></p>

<p><strong>Which page would you like to display when a user clicks the button?</strong>
			<select name="<?php echo $this->get_field_name( 'ftaf_option' ); ?>" id="<?php echo $this->get_field_id( 'flickr_gallery_source' ); ?>" class="widefat">
				<option value="0" <?php if ($instance ['ftaf_option'] == '0') echo 'selected'; ?>>Use Address Book</option>
				<option value="1" <?php if ($instance ['ftaf_option'] == '1') echo 'selected'; ?>>Enter Friend E-mails</option>
				<option value="2" <?php if ($instance ['ftaf_option'] == '2') echo 'selected'; ?>>Social Bookmarking</option>
				<option value="3" <?php if ($instance ['ftaf_option'] == '3') echo 'selected'; ?>>Add to Favorites</option>
			</select>
			</p>
<p><strong>Your 'Free Tell a Friend' Account ID. http://www.freetellafriend.com. This is optional but very useful to keep track of the statistics of your user clicks.</strong>
<input id="<?php echo $this->get_field_id( 'ftaf_userid' ); ?>" name="<?php echo $this->get_field_name( 'ftaf_userid' ); ?>" value="<?php echo $instance['ftaf_userid']; ?>" style="width:100%;" />
</p>
<?php
	}
}
?>